%define name	jed
%define version	0.99.16
%define release	2mdk
%define sversion 0.99-16

Summary:	A fast, compact editor based on the slang screen library.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Editors
Requires:	jed-common = %{version}
BuildRequires:	slang-devel XFree86-devel
URL:		http://space.mit.edu/~davis/jed
Source0:	ftp://space.mit.edu/pub/davis/jed/v0.99/jed-%{sversion}.tar.bz2
Patch0:		jed-info.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
%description
Jed is a fast, compact editor based on the slang screen library.  Jed
features include emulation of the Emacs, EDT, WordStar and Brief editors;
support for extensive customization with slang macros, colors,
keybindings, etc.; and a variety of programming modes with syntax
highlighting.

You should install jed if you've used it before and you like it, or if you
haven't used any text editors before and you're still deciding what you'd
like to use.  You'll also need to have slang installed.

%package common
Summary:	Files needed by any Jed editor.
Group:		Editors
%description common
The jed-common package contains files (such as .sl files) that are
needed by any jed binary in order to run.

%package xjed
Requires:	jed-common = %{version}
Summary:	The X Window System version of the Jed text editor.
Group:		Editors

%description xjed
Xjed is a version of the Jed text editor that will work with the X Window
System.
  
You should install xjed if you like Jed and you'd like to use it with X.
You'll also need to have the X Window System installed.

%package -n rgrep
Summary:	A grep utility which can recursively descend through directories.
Group:		Text tools

%description -n rgrep
The rgrep utility can recursively descend through directories as
it greps for the specified pattern.  Note that this ability does
take a toll on rgrep's performance, which is somewhat slow.  Rgrep
will also highlight the matching expression.

Install the rgrep package if you need a recursive grep which can
highlight the matching expression.

%prep
%setup -q -n jed-%{sversion}
%patch -p1

%build
export JED_ROOT="%{_datadir}/jed"
%configure
%make all
%make xjed

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_infodir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/jed
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin

cp -r lib $RPM_BUILD_ROOT%{_datadir}/jed
cp -r info/jed* $RPM_BUILD_ROOT%{_infodir}

cd src/objs
install -m 0755 -s jed $RPM_BUILD_ROOT%{_bindir}
install -m 0755 -s xjed $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 0755 -s rgrep $RPM_BUILD_ROOT%{_bindir}
JED_ROOT=$RPM_BUILD_ROOT%{_datadir}/jed $RPM_BUILD_ROOT%{_bindir}/jed -batch -n -l preparse.sl

cd ../../doc/manual
install -m 644 jed.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 rgrep.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post common
%_install_info %{name}.info

%postun common
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/jed

%files common
%defattr(-,root,root)
%doc COPYING COPYRIGHT INSTALL INSTALL.unx README changes.txt
%doc doc/txt/*
%{_infodir}/*
%{_mandir}/man1/jed*
%{_datadir}/jed

%files xjed
%defattr(-,root,root)
%doc COPYING
%{_prefix}/X11R6/bin/xjed

%files -n rgrep
%defattr(-,root,root)
%doc COPYING COPYRIGHT INSTALL INSTALL.unx README changes.txt
%{_bindir}/rgrep
%{_mandir}/man1/rgrep.1*

%changelog
* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.99.16-2mdk
- rebuild

* Mon Dec 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.99.16-1mdk
- 0.99.16, package .txt doc files in jed-common

* Tue Nov 13 2001 Yves Duret <yduret@mandrakesoft.com> B0.99.15-2mdk
- spec, rebuild, sir rpmlint

* Mon Oct 15 2001 Yves Duret <yduret@mandrakesoft.com> B0.99.15-1mdk
- version B0.99.15
- reupload rgrep again (civileme sux)

* Mon Sep 03 2001 Civileme <civileme@mandrakesoft.com> B0.99.14-3mdk
- altered target of doc files install to match FHS

* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> B0.99.14-2mdk
- BuildRequires: slang-devel

* Wed Jul 11 2001 Yves Duret <yduret@mandrakesoft.com> B0.99.14-1mdk
- version B0.99.14
- added some doc

* Wed May 30 2001 Yves Duret <yduret@mandrakesoft.com> B0.99.13-3mdk
- now include the (excellent) on-line help for jed thanx to Felix.Braun@McGill.ca

* Thu Mar  8 2001 Yves Duret <yduret@mandrakesoft.com> B0.99.13-2mdk
- added a requires in jed to jed-common (i know i suck)

* Thu Mar  1 2001 Yves Duret <yduret@mandrakesoft.com> B0.99.13-1mdk
- version B0.99.13
- added most of the files...
- fixed the info page

* Tue Jan  4 2001 Yves Duret <yduret@mandrakesoft.com> B0.99.12-2mdk
- forgot to upload the new rgrep :(

* Sun Dec 24 2000 yves <yduret@mandrakesoft.com> B0.99.12-1mdk
- new and shiny 0.99.12 version
- clean up spec file : old wmconfig, old bz2 and strip lines removed

* Wed Aug 9 2000 Maurizio De Cecco <maurizio@mandrakesoft.com> B0.99.11-4mdk
- Macros for man directories.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> B0.99.11-3mdk
- automatically added BuildRequires

* Sat Jul 08 2000 Stefan van der Eijk <s.vandereijk@chello.nl> B0.99.11-2mdk
- modified find statement to only find files (not directories)

* Tue Jun 20 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Version B0.99.11

* Tue Apr 11 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Fixed Distribution name

* Thu Apr 10 2000 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- Fixed Group of subpackages

* Thu Mar 16 2000 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- Adapted to the new Group structure

* Fri Nov 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- B0.99.10.

* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Version B0.99.8.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- update to 0.98.7 for Raw Hide
- split off lib stuff into jed-common

* Mon Oct  5 1998 Jeff Johnson <jbj@redhat.com>
- change rgep group tag, same as grep.

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- added wmconfig entry for xjed

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>
- updated to 0.98.4
- included man pages in file lists

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
